Debian Bug report logs - #611619
xserver-xorg-core: "xrandr -o left" fails; nvidia driver

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Diggory Hardy <diggory.hardy@gmail.com>

Date: Mon, 31 Jan 2011 11:03:01 UTC

Severity: normal

Found in version xorg-server/2:1.7.7-11

Fixed in version xorg-server/2:1.7.7-13

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 31 Jan 2011 11:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 31 Jan 2011 11:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: submit@bugs.debian.org
Subject: xserver-xorg-core: "xrandr -o left" fails; nvidia driver
Date: Mon, 31 Jan 2011 11:57:55 +0100
Package: xserver-xorg-core
Version: 2:1.7.7-11
Severity: normal


Trying to rotate my screen fails:

$ xrandr -o left
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  153 (RANDR)
  Minor opcode of failed request:  2 (RRSetScreenConfig)
  Value in failed request:  0x690
  Serial number of failed request:  14
  Current serial number in output stream:  14

$ nvidia-settings
# Use the GUI to rotate screen - program exits with message:
The program 'nvidia-settings' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadValue (integer parameter out of range for operation)'.
  (Details: serial 298 error_code 2 request_code 153 minor_code 2)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

(Following the above directions doesn't help: I don't have the source code.)

It was working last week (packages probably no more than a week out of date at the time), and the xserver-xorg-core package seems to be the only relevant recent update (also with notes in changelog about rotation).

Another report about this error: https://bbs.archlinux.org/viewtopic.php?pid=877761

Thanks in advance for any help,
Diggory


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 May 19  2010 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1889440 Jan 12 04:12 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev a2)

/var/lib/x11/xorg.conf.md5sum does not exist.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 1821 Jun 10  2010 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc104"
	Option		"XkbLayout"	"us"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
EndSection

Section "Device"
	Identifier	"Configured Video Device"
	Driver		"nvidia"
	Option		"nologo"	"true"
	Option		"XAANoOffscreenPixmaps"	"true"
	Option		"RandRRotation"	"true"
	Option		"UseDisplayDevice"	"DFP-4" #display-port?
#	Option		"TwinView"
#	Option		"MetaModes"	"1024x768,1440x900; NULL,1440x900"
#	Option		"TwinViewOrientation"	"Below"
	Option		"RegistryDwords" "EnableBrightnessControl=1" # LCD brightness with KDE on T410
	Option		"OnDemandVBlankInterrupts" "True" # disabling vsync helps power man
	Option  "Coolbits" "1"
	#Force lower power - less heat?
	#http://tutanhamon.com.ua/technovodstvo/NVIDIA-UNIX-driver/
	Option		"RegistryDwords" "PowerMizerEnable=0x1; PerfLevelSrc=0x2222; PowerMizerDefault=0x3; PowerMizerDefaultAC=0x3"
EndSection

Section "Monitor"
	Identifier	"Configured Monitor"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Monitor		"Configured Monitor"
EndSection
Section "Extensions"
	Option	"compiz"	"enable"
EndSection



Kernel version (/proc/version):
Linux version 2.6.32-5-amd64 (Debian 2.6.32-30) (ben@decadent.org.uk) (gcc version 4.3.5 (Debian 4.3.5-4) ) #1 SMP Wed Jan 12 03:40:32 UTC 2011

Xorg X server log files on system:
-rw-r--r-- 1 root root 19479 Jan 31 09:46 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32-5-amd64 x86_64 Debian
Current Operating System: Linux SwissTPH-dhardy 2.6.32-5-amd64 #1 SMP Wed Jan 12 03:40:32 UTC 2011 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-amd64 root=UUID=de6e0f9f-39e1-41bd-89c2-35ebd1f085fe ro nomodeset
Build Date: 12 January 2011  02:59:50AM
xorg-server 2:1.7.7-11 (Cyril Brulebois <kibi@debian.org>) 
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Jan 31 09:46:27 2011
(==) Using config file: "/etc/X11/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Configured Monitor"
(==) No device specified for screen "Default Screen".
	Using the first device section listed.
(**) |   |-->Device "Configured Video Device"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(WW) Ignoring unrecognized extension "compiz"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x7c8a00
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:1:0:0) 10de:0a6c:17aa:2142 nVidia Corporation GT218 [NVS 3100M] rev 162, Mem @ 0xcc000000/16777216, 0xd0000000/268435456, 0xce000000/33554432, I/O @ 0x00002000/128, BIOS @ 0x????????/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Server Extension
(II) NVIDIA GLX Module  195.36.31  Thu Jun  3 08:59:25 PDT 2010
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(II) LoadModule: "nvidia"
(II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
(II) Module nvidia: vendor="NVIDIA Corporation"
	compiled for 4.0.2, module version = 1.0.0
	Module class: X.Org Video Driver
(II) NVIDIA dlloader X Driver  195.36.31  Thu Jun  3 08:27:29 PDT 2010
(II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
(II) Primary Device is: PCI 01@00:00:0
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "wfb"
(II) LoadModule: "wfb"
(II) Loading /usr/lib/xorg/modules/libwfb.so
(II) Module wfb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
(II) NVIDIA(0): Creating default Display subsection in Screen section
	"Default Screen" for depth/fbbpp 24/32
(==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Option "NoLogo" "true"
(**) NVIDIA(0): Option "RegistryDwords" "EnableBrightnessControl=1"
(**) NVIDIA(0): Option "RandRRotation" "true"
(**) NVIDIA(0): Option "Coolbits" "1"
(**) NVIDIA(0): Option "UseDisplayDevice" "DFP-4"
(**) NVIDIA(0): Option "OnDemandVBlankInterrupts" "True"
(**) Jan 31 09:46:29 NVIDIA(0): Enabling RENDER acceleration
(II) Jan 31 09:46:29 NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) Jan 31 09:46:29 NVIDIA(0):     enabled.
(II) Jan 31 09:46:31 NVIDIA(0): NVIDIA GPU NVS 3100M (GT218) at PCI:1:0:0 (GPU-0)
(--) Jan 31 09:46:31 NVIDIA(0): Memory: 262144 kBytes
(--) Jan 31 09:46:31 NVIDIA(0): VideoBIOS: 70.18.42.00.05
(II) Jan 31 09:46:31 NVIDIA(0): Detected PCI Express Link width: 16X
(--) Jan 31 09:46:31 NVIDIA(0): Interlaced video modes are supported on this GPU
(--) Jan 31 09:46:31 NVIDIA(0): Connected display device(s) on NVS 3100M at PCI:1:0:0:
(--) Jan 31 09:46:31 NVIDIA(0):     LEN (DFP-0)
(--) Jan 31 09:46:31 NVIDIA(0):     LEN L2251p Wide (DFP-4)
(--) Jan 31 09:46:31 NVIDIA(0): LEN (DFP-0): 330.0 MHz maximum pixel clock
(--) Jan 31 09:46:31 NVIDIA(0): LEN (DFP-0): Internal Dual Link LVDS
(--) Jan 31 09:46:31 NVIDIA(0): LEN L2251p Wide (DFP-4): 330.0 MHz maximum pixel clock
(--) Jan 31 09:46:31 NVIDIA(0): LEN L2251p Wide (DFP-4): Internal DisplayPort
(II) Jan 31 09:46:31 NVIDIA(0): Assigned Display Device: DFP-4
(==) Jan 31 09:46:31 NVIDIA(0): 
(==) Jan 31 09:46:31 NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
(==) Jan 31 09:46:31 NVIDIA(0):     will be used as the requested mode.
(==) Jan 31 09:46:31 NVIDIA(0): 
(II) Jan 31 09:46:31 NVIDIA(0): Validated modes:
(II) Jan 31 09:46:31 NVIDIA(0):     "nvidia-auto-select"
(II) Jan 31 09:46:31 NVIDIA(0): Virtual screen size determined to be 1680 x 1050
(--) Jan 31 09:46:32 NVIDIA(0): DPI set to (90, 88); computed from "UseEdidDpi" X config
(--) Jan 31 09:46:32 NVIDIA(0):     option
(==) Jan 31 09:46:32 NVIDIA(0): Enabling 32-bit ARGB GLX visuals.
(--) Depth 24 pixmap format is 32 bpp
(II) Jan 31 09:46:32 NVIDIA: Using 768.00 MB of virtual memory for indirect memory access.
(II) Jan 31 09:46:32 NVIDIA(0): Initialized GPU GART.
(II) Jan 31 09:46:32 NVIDIA(0): ACPI display change hotkey events enabled: the X server is new
(II) Jan 31 09:46:32 NVIDIA(0):     enough to receive ACPI hotkey events.
(II) Jan 31 09:46:32 NVIDIA(0): ACPI brightness change hotkey events enabled.
(II) Jan 31 09:46:32 NVIDIA(0): Setting mode "nvidia-auto-select"
(WW) Jan 31 09:46:32 NVIDIA(GPU-0): LEN L2251p Wide (DFP-4): Failed to set DisplayPort power
(WW) Jan 31 09:46:32 NVIDIA(GPU-0):     state
(II) Loading extension NV-GLX
(II) Jan 31 09:46:32 NVIDIA(0): Initialized OpenGL Acceleration
(==) NVIDIA(0): Disabling shared memory pixmaps
(II) Jan 31 09:46:32 NVIDIA(0): Initialized X Rendering Acceleration
(==) NVIDIA(0): Backing store disabled
(==) NVIDIA(0): Silken mouse enabled
(==) NVIDIA(0): DPMS enabled
(II) Loading extension NV-CONTROL
(II) Loading extension XINERAMA
(WW) NVIDIA(0): Option "XAANoOffscreenPixmaps" is not used
(==) RandR enabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) Initializing extension GLX
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Video Bus (/dev/input/event5)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event5"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event3)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event3"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Integrated Camera (/dev/input/event8)
(**) Integrated Camera: Applying InputClass "evdev keyboard catchall"
(**) Integrated Camera: always reports core events
(**) Integrated Camera: Device: "/dev/input/event8"
(II) Integrated Camera: Found keys
(II) Integrated Camera: Configuring as keyboard
(II) XINPUT: Adding extended input device "Integrated Camera" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event9)
(**) Logitech USB Receiver: Applying InputClass "evdev pointer catchall"
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event9"
(II) Logitech USB Receiver: Found 20 mouse buttons
(II) Logitech USB Receiver: Found scroll wheel(s)
(II) Logitech USB Receiver: Found relative axes
(II) Logitech USB Receiver: Found x and y relative axes
(II) Logitech USB Receiver: Configuring as mouse
(**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
(**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: MOUSE)
(II) Logitech USB Receiver: initialized for relative axes.
(II) config/udev: Adding input device Logitech USB Receiver (/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Logitech USB Receiver (/dev/input/event10)
(**) Logitech USB Receiver: Applying InputClass "evdev keyboard catchall"
(**) Logitech USB Receiver: always reports core events
(**) Logitech USB Receiver: Device: "/dev/input/event10"
(II) Logitech USB Receiver: Found 1 mouse buttons
(II) Logitech USB Receiver: Found scroll wheel(s)
(II) Logitech USB Receiver: Found relative axes
(II) Logitech USB Receiver: Found absolute axes
(II) Logitech USB Receiver: Found keys
(II) Logitech USB Receiver: Configuring as mouse
(II) Logitech USB Receiver: Configuring as keyboard
(**) Logitech USB Receiver: YAxisMapping: buttons 4 and 5
(**) Logitech USB Receiver: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Receiver" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(EE) Logitech USB Receiver: failed to initialize for relative axes.
(II) Logitech USB Receiver: initialized for absolute axes.
(II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event1)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event1"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event11)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event11"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse2)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
SynPS/2 Synaptics TouchPad no synaptics event device found
(**) Option "Device" "/dev/input/mouse2"
Query no Synaptics: 6003C8
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/event14)
(**) TPPS/2 IBM TrackPoint: Applying InputClass "evdev pointer catchall"
(**) TPPS/2 IBM TrackPoint: always reports core events
(**) TPPS/2 IBM TrackPoint: Device: "/dev/input/event14"
(II) TPPS/2 IBM TrackPoint: Found 3 mouse buttons
(II) TPPS/2 IBM TrackPoint: Found relative axes
(II) TPPS/2 IBM TrackPoint: Found x and y relative axes
(II) TPPS/2 IBM TrackPoint: Configuring as mouse
(**) TPPS/2 IBM TrackPoint: YAxisMapping: buttons 4 and 5
(**) TPPS/2 IBM TrackPoint: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "TPPS/2 IBM TrackPoint" (type: MOUSE)
(II) TPPS/2 IBM TrackPoint: initialized for relative axes.
(II) config/udev: Adding input device TPPS/2 IBM TrackPoint (/dev/input/mouse3)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device PC Speaker (/dev/input/event6)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad Extra Buttons (/dev/input/event7)
(**) ThinkPad Extra Buttons: Applying InputClass "evdev keyboard catchall"
(**) ThinkPad Extra Buttons: always reports core events
(**) ThinkPad Extra Buttons: Device: "/dev/input/event7"
(II) ThinkPad Extra Buttons: Found keys
(II) ThinkPad Extra Buttons: Configuring as keyboard
(II) XINPUT: Adding extended input device "ThinkPad Extra Buttons" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc104"
(**) Option "xkb_layout" "us"
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/event0)
(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event0"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad HDAPS joystick emulation (/dev/input/event12)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad HDAPS joystick emulation (/dev/input/js0)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad HDAPS accelerometer data (/dev/input/event13)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ThinkPad HDAPS accelerometer data (/dev/input/js1)
(II) No input driver/identifier specified (ignoring)

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:0a/LNXVIDEO:01/input/input5/event5
N: input/event5
S: char/13:69
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:0a/LNXVIDEO:01/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:69
E: DMI_VENDOR=LENOVO

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:66

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=LENOVO

P: /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input8/event8
N: input/event8
S: char/13:72
S: input/by-id/usb-Chicony_Electronics_Co.__Ltd._Integrated_Camera-event-if00
S: input/by-path/pci-0000:00:1a.0-usb-0:1.6:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.6/1-1.6:1.0/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Chicony_Electronics_Co.__Ltd.
E: ID_VENDOR_ENC=Chicony\x20Electronics\x20Co.\x2c\x20Ltd.
E: ID_VENDOR_ID=17ef
E: ID_MODEL=Integrated_Camera
E: ID_MODEL_ENC=Integrated\x20Camera
E: ID_MODEL_ID=480f
E: ID_REVISION=2345
E: ID_SERIAL=Chicony_Electronics_Co.__Ltd._Integrated_Camera
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.0-usb-0:1.6:1.0
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:72 /dev/input/by-id/usb-Chicony_Electronics_Co.__Ltd._Integrated_Camera-event-if00 /dev/input/by-path/pci-0000:00:1a.0-usb-0:1.6:1.0-event

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input9/event9
N: input/event9
S: char/13:73
S: input/by-id/usb-Logitech_USB_Receiver-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.0-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Receiver
E: ID_MODEL_ENC=USB\x20Receiver
E: ID_MODEL_ID=c526
E: ID_REVISION=0500
E: ID_SERIAL=Logitech_USB_Receiver
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.1:1.0
E: DEVLINKS=/dev/char/13:73 /dev/input/by-id/usb-Logitech_USB_Receiver-event-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.0-event-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input9/mouse1
N: input/mouse1
S: char/13:33
S: input/by-id/usb-Logitech_USB_Receiver-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.0-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.0/input/input9/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Receiver
E: ID_MODEL_ENC=USB\x20Receiver
E: ID_MODEL_ID=c526
E: ID_REVISION=0500
E: ID_SERIAL=Logitech_USB_Receiver
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.1:1.0
E: DEVLINKS=/dev/char/13:33 /dev/input/by-id/usb-Logitech_USB_Receiver-mouse /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.0-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.1/input/input10/event10
N: input/event10
S: char/13:74
S: input/by-id/usb-Logitech_USB_Receiver-event-if01
S: input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.1-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1/2-1.1:1.1/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Receiver
E: ID_MODEL_ENC=USB\x20Receiver
E: ID_MODEL_ID=c526
E: ID_REVISION=0500
E: ID_SERIAL=Logitech_USB_Receiver
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:030000:
E: ID_USB_INTERFACE_NUM=01
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:1.1:1.1
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:74 /dev/input/by-id/usb-Logitech_USB_Receiver-event-if01 /dev/input/by-path/pci-0000:00:1d.0-usb-0:1.1:1.1-event

P: /devices/platform/i8042/serio0/input/input1/event1
N: input/event1
S: char/13:65
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:65 /dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=LENOVO

P: /devices/platform/i8042/serio1/input/input11/event11
N: input/event11
S: char/13:75
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:75 /dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input11/mouse2
N: input/mouse2
S: char/13:34
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input11/mouse2
E: MAJOR=13
E: MINOR=34
E: DEVNAME=/dev/input/mouse2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/char/13:34 /dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/i8042/serio1/serio2/input/input14/event14
N: input/event14
S: char/13:78
S: input/by-path/platform-i8042-serio-2-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input14/event14
E: MAJOR=13
E: MINOR=78
E: DEVNAME=/dev/input/event14
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:78 /dev/input/by-path/platform-i8042-serio-2-event-mouse

P: /devices/platform/i8042/serio1/serio2/input/input14/mouse3
N: input/mouse3
S: char/13:35
S: input/by-path/platform-i8042-serio-2-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/serio2/input/input14/mouse3
E: MAJOR=13
E: MINOR=35
E: DEVNAME=/dev/input/mouse3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-2
E: DEVLINKS=/dev/char/13:35 /dev/input/by-path/platform-i8042-serio-2-mouse

P: /devices/platform/pcspkr/input/input6/event6
N: input/event6
S: char/13:70
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:70 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/platform/thinkpad_acpi/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-thinkpad_acpi-event
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/thinkpad_acpi/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_PATH=platform-thinkpad_acpi
E: XKBMODEL=pc104
E: XKBLAYOUT=us
E: DEVLINKS=/dev/char/13:71 /dev/input/by-path/platform-thinkpad_acpi-event
E: DMI_VENDOR=LENOVO

P: /devices/virtual/input/input0/event0
N: input/event0
S: char/13:64
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:64

P: /devices/virtual/input/input0/mouse0
N: input/mouse0
S: char/13:32
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input0/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: DEVLINKS=/dev/char/13:32

P: /devices/virtual/input/input12/event12
N: input/event12
S: char/13:76
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input12/event12
E: MAJOR=13
E: MINOR=76
E: DEVNAME=/dev/input/event12
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:76

P: /devices/virtual/input/input12/js0
N: input/js0
S: char/13:0
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input12/js0
E: MAJOR=13
E: MINOR=0
E: DEVNAME=/dev/input/js0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:0

P: /devices/virtual/input/input13/event13
N: input/event13
S: char/13:77
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input13/event13
E: MAJOR=13
E: MINOR=77
E: DEVNAME=/dev/input/event13
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=LENOVO
E: DEVLINKS=/dev/char/13:77

P: /devices/virtual/input/input13/js1
N: input/js1
S: char/13:1
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input13/js1
E: MAJOR=13
E: MINOR=1
E: DEVNAME=/dev/input/js1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DEVLINKS=/dev/char/13:1

DRM Information from dmesg:
[    0.000000] No AGP bridge found
[    0.746474] Linux agpgart interface v0.103


-- System Information:
Debian Release: 6.0
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-core depends on:
ii  keyboard-configuration 1.68              system-wide keyboard preferences
ii  libaudit0              1.7.13-1+b2       Dynamic library for security audit
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared lib
ii  libdrm2                2.4.21-1~squeeze3 Userspace interface to kernel DRM 
ii  libgcrypt11            1.4.5-2           LGPL Crypto library - runtime libr
ii  libpciaccess0          0.12.0-1          Generic PCI access library for X
ii  libpixman-1-0          0.16.4-1          pixel-manipulation library for X a
ii  libselinux1            2.0.96-1          SELinux runtime shared libraries
ii  libudev0               164-3             libudev shared library
ii  libxau6                1:1.0.6-1         X11 authorisation library
ii  libxdmcp6              1:1.0.3-2         X11 Display Manager Control Protoc
ii  libxfont1              1:1.4.1-2         X11 font rasterisation library
ii  udev                   164-3             /dev/ and hotplug management daemo
ii  xserver-common         2:1.7.7-11        common files used by various X ser
ii  xserver-xorg           1:7.5+8           the X.Org X server

Versions of packages xserver-xorg-core recommends:
ii  libgl1-mesa-dri               7.7.1-4    A free implementation of the OpenG

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.1    100 dpi fonts for X
ii  xfonts-75dpi                  1:1.0.1    75 dpi fonts for X
ii  xfonts-scalable               1:1.0.1-1  scalable fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 31 Jan 2011 11:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 31 Jan 2011 11:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 611619@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Diggory Hardy <diggory.hardy@gmail.com>, 611619@bugs.debian.org
Subject: Re: Bug#611619: xserver-xorg-core: "xrandr -o left" fails; nvidia driver
Date: Mon, 31 Jan 2011 12:07:32 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 31, 2011 at 11:57:55 +0100, Diggory Hardy wrote:

> Package: xserver-xorg-core
> Version: 2:1.7.7-11
> Severity: normal
> 
> 
> Trying to rotate my screen fails:
> 
> $ xrandr -o left
> X Error of failed request:  BadValue (integer parameter out of range for operation)
>   Major opcode of failed request:  153 (RANDR)
>   Minor opcode of failed request:  2 (RRSetScreenConfig)
>   Value in failed request:  0x690
>   Serial number of failed request:  14
>   Current serial number in output stream:  14
> 
> $ nvidia-settings
> # Use the GUI to rotate screen - program exits with message:
> The program 'nvidia-settings' received an X Window System error.
> This probably reflects a bug in the program.
> The error was 'BadValue (integer parameter out of range for operation)'.
>   (Details: serial 298 error_code 2 request_code 153 minor_code 2)
>   (Note to programmers: normally, X errors are reported asynchronously;
>    that is, you will receive the error a while after causing it.
>    To debug your program, run it with the --sync command line
>    option to change this behavior. You can then get a meaningful
>    backtrace from your debugger if you break on the gdk_x_error() function.)
> 
> (Following the above directions doesn't help: I don't have the source code.)
> 
> It was working last week (packages probably no more than a week out of date at the time), and the xserver-xorg-core package seems to be the only relevant recent update (also with notes in changelog about rotation).
> 
> Another report about this error: https://bbs.archlinux.org/viewtopic.php?pid=877761
> 
What's the output of xrandr -q?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 31 Jan 2011 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Diggory Hardy <diggory.hardy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 31 Jan 2011 12:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 611619@bugs.debian.org (full text, mbox):

From: Diggory Hardy <diggory.hardy@gmail.com>
To: 611619@bugs.debian.org
Date: Mon, 31 Jan 2011 13:09:35 +0100
[Message part 1 (text/plain, inline)]
~> xrandr -q
xrandr: Failed to get size of gamma for output default
Screen 0: minimum 320 x 175, current 1680 x 1050, maximum 1680 x 1050
default connected 1680x1050+0+0 (normal left inverted right) 0mm x 0mm
   1680x1050      50.0*    51.0     52.0     53.0     54.0
   1600x1024      55.0
   1600x1000      56.0
   1440x900       57.0     58.0
   1400x1050      59.0     60.0     61.0     62.0
   1360x768       63.0     64.0
   1280x1024      65.0     66.0     67.0     68.0
   1280x960       69.0     70.0
   1280x720       71.0     72.0     73.0
   1152x864       74.0     75.0     76.0     77.0     78.0     79.0
80.0
   1024x768       81.0     82.0     83.0     84.0     85.0     86.0
87.0     88.0
   960x720        89.0     90.0     91.0
   960x600        92.0
   960x540        93.0
   928x696        94.0     95.0
   896x672        96.0     97.0
   840x525        98.0     99.0    100.0    101.0    102.0
   832x624       103.0
   800x600       104.0    105.0    106.0    107.0    108.0    109.0
110.0    111.0    112.0    113.0
   800x512       114.0
   720x576       115.0
   720x480       116.0
   720x450       117.0
   720x400       118.0
   700x525       119.0    120.0    121.0    122.0
   680x384       123.0    124.0
   640x512       125.0    126.0    127.0
   640x480       128.0    129.0    130.0    131.0    132.0    133.0
134.0    135.0
   640x400       136.0
   640x350       137.0
   576x432       138.0    139.0    140.0    141.0    142.0    143.0
144.0
   512x384       145.0    146.0    147.0    148.0    149.0
   416x312       150.0
   400x300       151.0    152.0    153.0    154.0    155.0
   360x200       156.0
   320x240       157.0    158.0    159.0
160.0

   320x200       161.0
   320x175       162.0
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 31 Jan 2011 12:58:41 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 31 Jan 2011 12:58:41 GMT) Full text and rfc822 format available.

Message #20 received at 611619@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Diggory Hardy <diggory.hardy@gmail.com>, 611619@bugs.debian.org
Subject: Re: Bug#611619:
Date: Mon, 31 Jan 2011 13:54:20 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 31, 2011 at 13:09:35 +0100, Diggory Hardy wrote:

> ~> xrandr -q
> xrandr: Failed to get size of gamma for output default
> Screen 0: minimum 320 x 175, current 1680 x 1050, maximum 1680 x 1050

So it looks like there's a wrong max size here?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 07 Feb 2011 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Manjarres <manjarrs@illinois.edu>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 07 Feb 2011 20:30:06 GMT) Full text and rfc822 format available.

Message #25 received at 611619@bugs.debian.org (full text, mbox):

From: Daniel Manjarres <manjarrs@illinois.edu>
To: 611619@bugs.debian.org
Subject: Re: Bug#611619
Date: Mon, 07 Feb 2011 14:27:08 -0600
Hi, I am hit by this bug too, since I upgraded to Debian 6.0.

gnome-display-properties is able to rotate the display to normal 
inverted left or right via gnome-settings-daemon, but grandr, xrandr and 
nvidia-settings are only able to rotate to normal or inverted. Trying to 
rotate to left or right crashes nvidia-settings, and gets and error from 
grandr/xrandr.


xrandr -o right
X Error of failed request:  BadValue (integer parameter out of range for 
operation)
  Major opcode of failed request:  152 (RANDR)
  Minor opcode of failed request:  2 (RRSetScreenConfig)
  Value in failed request:  0xa00
  Serial number of failed request:  14
  Current serial number in output stream:  14


grandr
user set screen height 2560, larger than max height 1600, set to max height


Running xrandr from within a chroot with an older debian release also 
fails the same way.

Seems to me to be a bug in the x server.

HTH




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Mon, 07 Feb 2011 21:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 07 Feb 2011 21:00:03 GMT) Full text and rfc822 format available.

Message #30 received at 611619@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Daniel Manjarres <manjarrs@illinois.edu>, 611619@bugs.debian.org
Subject: Re: Bug#611619:
Date: Mon, 7 Feb 2011 21:56:58 +0100
[Message part 1 (text/plain, inline)]
On Mon, Feb  7, 2011 at 14:27:08 -0600, Daniel Manjarres wrote:

> Running xrandr from within a chroot with an older debian release
> also fails the same way.
> 
> Seems to me to be a bug in the x server.
> 
I'm not sure if the bug is in the X server or the driver, but either way
this will be fixed in Debian 6.0.1.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#611619; Package xserver-xorg-core. (Wed, 09 Feb 2011 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 09 Feb 2011 10:27:03 GMT) Full text and rfc822 format available.

Message #35 received at 611619@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 611619@bugs.debian.org
Cc: Daniel Manjarres <manjarrs@illinois.edu>, Diggory Hardy <diggory.hardy@gmail.com>
Subject: Re: Bug#611619:
Date: Wed, 9 Feb 2011 11:23:41 +0100
[Message part 1 (text/plain, inline)]
user debian-x@lists.debian.org
usertag 611619 squeeze-candidate
tag     611619 pending
thanks

Julien Cristau <jcristau@debian.org> (07/02/2011):
> I'm not sure if the bug is in the X server or the driver, but either
> way this will be fixed in Debian 6.0.1.

Merged from upstream:
  http://git.debian.org/?p=pkg-xorg/xserver/xorg-server.git;a=shortlog;h=refs/heads/debian-squeeze
  http://git.debian.org/?p=pkg-xorg/xserver/xorg-server.git;a=commit;h=d77ffa918b2aaa3ca1deb17ed0145199d0f863da

KiBi.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Wed, 09 Feb 2011 10:27:04 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 19 Feb 2011 13:57:12 GMT) Full text and rfc822 format available.

Notification sent to Diggory Hardy <diggory.hardy@gmail.com>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 13:57:12 GMT) Full text and rfc822 format available.

Message #42 received at 611619-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 611619-close@bugs.debian.org
Subject: Bug#611619: fixed in xorg-server 2:1.7.7-13
Date: Sat, 19 Feb 2011 13:52:49 +0000
Source: xorg-server
Source-Version: 2:1.7.7-13

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.7.7-13_amd64.deb
  to main/x/xorg-server/xdmx-tools_1.7.7-13_amd64.deb
xdmx_1.7.7-13_amd64.deb
  to main/x/xorg-server/xdmx_1.7.7-13_amd64.deb
xnest_1.7.7-13_amd64.deb
  to main/x/xorg-server/xnest_1.7.7-13_amd64.deb
xorg-server_1.7.7-13.diff.gz
  to main/x/xorg-server/xorg-server_1.7.7-13.diff.gz
xorg-server_1.7.7-13.dsc
  to main/x/xorg-server/xorg-server_1.7.7-13.dsc
xserver-common_1.7.7-13_all.deb
  to main/x/xorg-server/xserver-common_1.7.7-13_all.deb
xserver-xephyr_1.7.7-13_amd64.deb
  to main/x/xorg-server/xserver-xephyr_1.7.7-13_amd64.deb
xserver-xfbdev_1.7.7-13_amd64.deb
  to main/x/xorg-server/xserver-xfbdev_1.7.7-13_amd64.deb
xserver-xorg-core-dbg_1.7.7-13_amd64.deb
  to main/x/xorg-server/xserver-xorg-core-dbg_1.7.7-13_amd64.deb
xserver-xorg-core-udeb_1.7.7-13_amd64.udeb
  to main/x/xorg-server/xserver-xorg-core-udeb_1.7.7-13_amd64.udeb
xserver-xorg-core_1.7.7-13_amd64.deb
  to main/x/xorg-server/xserver-xorg-core_1.7.7-13_amd64.deb
xserver-xorg-dev_1.7.7-13_amd64.deb
  to main/x/xorg-server/xserver-xorg-dev_1.7.7-13_amd64.deb
xvfb_1.7.7-13_amd64.deb
  to main/x/xorg-server/xvfb_1.7.7-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 611619@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 18 Feb 2011 14:21:12 +0100
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-core-udeb xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xserver-xfbdev xserver-xorg-core-dbg xserver-common
Architecture: source all amd64
Version: 2:1.7.7-13
Distribution: stable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xserver-common - common files used by various X servers
 xserver-xephyr - nested X server
 xserver-xfbdev - Linux framebuffer device tiny X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-core-udeb - Xorg X server - core server (udeb)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 611619
Changes: 
 xorg-server (2:1.7.7-13) stable; urgency=low
 .
   * bug script: Report KMS configuration files and their contents.
   * bug script: Keep only one lspci call (with proper filtering), which
     makes PCI IDs come back.
   * Merge from server-1.7-branch, fixing broken rotation with nvidia
     driver (Closes: #611619):
     - Revert "randr: check for virtual size limits before set crtc"
   * bug script: Report libGL-related diversions.
Checksums-Sha1: 
 4531758c190dc190a1173710aa1f1c60854b05a3 3212 xorg-server_1.7.7-13.dsc
 24b29fa84c43888dbd66d6fc6337560ecaa6a727 409720 xorg-server_1.7.7-13.diff.gz
 c7d06a34426acc03ac61d99926af4fa281f134c0 57296 xserver-common_1.7.7-13_all.deb
 0a29ef8c1f9279057c441067509ec158490d2a14 2559746 xserver-xorg-core_1.7.7-13_amd64.deb
 8b1b26f83882e157b800bb3c3b8d926da01376cc 1002186 xserver-xorg-core-udeb_1.7.7-13_amd64.udeb
 b22c9a4912a158900377b7c221474709ae06bfc8 1222164 xserver-xorg-dev_1.7.7-13_amd64.deb
 f289e8fcd76ee9d2cb70d27806ea2dc6d0c61793 1766500 xdmx_1.7.7-13_amd64.deb
 717fdd5ebb690554c9abd6664dd19a311a9358d1 1035084 xdmx-tools_1.7.7-13_amd64.deb
 841395e5d72fff4bb3d8634d2c21925161132893 1679194 xnest_1.7.7-13_amd64.deb
 436ef9a6220ac453a056bfdddd0cc9f84397ce7b 1794302 xvfb_1.7.7-13_amd64.deb
 d32d52f18b6b7c4f1f6081b8925b0f2b65329229 1880678 xserver-xephyr_1.7.7-13_amd64.deb
 7473fd265fff4fe0ead45cbbabac07bb711f2e96 1818496 xserver-xfbdev_1.7.7-13_amd64.deb
 feefc26aa934c2f96b8662827f4b42cd335b32e9 6089150 xserver-xorg-core-dbg_1.7.7-13_amd64.deb
Checksums-Sha256: 
 e31341e2a59841d96e87393fdaccabf580f55400dcac997ad988cfa001eea402 3212 xorg-server_1.7.7-13.dsc
 a606cf0c73479e09db11d571124aa864354de04b1d05a66f845d330de179f71d 409720 xorg-server_1.7.7-13.diff.gz
 50aaa4512b27df114c67a3647e6e22ce06f04dd824dc8d9bf3412c2062c0fd0b 57296 xserver-common_1.7.7-13_all.deb
 c4ba1de28d1a77cfe4d5ebcd54e795511f04eac2c8bf297333b9b2d10b01626b 2559746 xserver-xorg-core_1.7.7-13_amd64.deb
 462eb340c0cd8d8cad11b108f770236675c6ca628cbb8bda3850089f0d04e579 1002186 xserver-xorg-core-udeb_1.7.7-13_amd64.udeb
 5c9fb36da120eae39a37a7cbf2fe851fd4f2361234c2790a9ddb92736b359a9e 1222164 xserver-xorg-dev_1.7.7-13_amd64.deb
 88fbd6ba424693d796df715fe893f49de5c686a9cf5bdf32a44a697d63b50041 1766500 xdmx_1.7.7-13_amd64.deb
 4d5d897c5f1c82865e84b28ba6b13ca3fc1012675e492b07eb1ddd56231b8c57 1035084 xdmx-tools_1.7.7-13_amd64.deb
 6cd807ca32bee4181bfd59a8e49743c7dd85873a1124c0d243509cd0eabfb634 1679194 xnest_1.7.7-13_amd64.deb
 553dd92965c427352c07b62da36a47d04be419b1cd2e05602cbf642ae95f5ec2 1794302 xvfb_1.7.7-13_amd64.deb
 c4f815bbfca62a8a1db29f0bffd6328c472b1e18e1026f4a56e700b9eaf9b551 1880678 xserver-xephyr_1.7.7-13_amd64.deb
 40f19521ce06d6a84d1342b6c1229768576a85c5416962da82888fbf12c4510d 1818496 xserver-xfbdev_1.7.7-13_amd64.deb
 7c893d22b5713aeeea4d76ee3be529bed8c3e20c4c29a87f2de4d022688b3c7c 6089150 xserver-xorg-core-dbg_1.7.7-13_amd64.deb
Files: 
 9209a289c0f3cdb44b870746e2cb959f 3212 x11 optional xorg-server_1.7.7-13.dsc
 f354ac9683dee93472e3bd6a359e1c26 409720 x11 optional xorg-server_1.7.7-13.diff.gz
 4c5f910c7b6d084e394c74c9265062be 57296 x11 optional xserver-common_1.7.7-13_all.deb
 547b11d8552ae2997531134f91f5c084 2559746 x11 optional xserver-xorg-core_1.7.7-13_amd64.deb
 5d1898d0bff56bdb3e4fd2398b1fac59 1002186 debian-installer optional xserver-xorg-core-udeb_1.7.7-13_amd64.udeb
 22d91aec1892255fcc954e49707efc9c 1222164 x11 optional xserver-xorg-dev_1.7.7-13_amd64.deb
 16d51d70a86138e730b20fd99a62f8dc 1766500 x11 optional xdmx_1.7.7-13_amd64.deb
 0a1c982a13b2ca26de938f9971923ad9 1035084 x11 optional xdmx-tools_1.7.7-13_amd64.deb
 f94c138601342fb38e08efc109e915c2 1679194 x11 optional xnest_1.7.7-13_amd64.deb
 cc0e947750d478adc159b8a44c0217a0 1794302 x11 optional xvfb_1.7.7-13_amd64.deb
 c40da962cf63dc3b33ded3ee7bbc876b 1880678 x11 optional xserver-xephyr_1.7.7-13_amd64.deb
 b3965267716d85d438687c0842380775 1818496 x11 optional xserver-xfbdev_1.7.7-13_amd64.deb
 0517e0669344a55c1cfb16b26a97afb9 6089150 debug extra xserver-xorg-core-dbg_1.7.7-13_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk1e2lkACgkQeGfVPHR5Nd1aGwCffeiN6QXpu04u5c831WVOMSuW
PwEAoKBe+D/cbewdS6a1YJpUDXz9OSJc
=oC1x
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Mar 2011 07:35:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:25:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.